Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.property
Class UnitOfWorkDef<T>

    java.lang.Object
      cascading.property.UnitOfWorkDef<T>

Direct Known Subclasses:
  CascadeDef, FlowDef

    public class UnitOfWorkDef<T>

extends Object

Class UnitOfWorkDef is the base class for framework specific fluent definition interfaces.

Field Summary
`protected String` | `name`
`protected Set<String>` | `tags`

Constructor Summary
`UnitOfWorkDef()`

Method Summary
`T` | `addTag(String tag)`
`T` | `addTags(String... tags)`
`String` | `getName()`
`String` | `getTags()`
`T` | `setName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### tags

    protected Set<String> tags

Constructor Detail

### UnitOfWorkDef

    public UnitOfWorkDef()

Method Detail

### getName

    public String getName()

### setName

    public T setName(String name)

### getTags

    public String getTags()

### addTag

    public T addTag(String tag)

### addTags

    public T addTags(String... tags)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.